Skip to main content
POST
https://api.aisa.one/apis/v1
/
apollo
/
contacts
/
bulk_create
Bulk Create Contacts
curl --request POST \
  --url https://api.aisa.one/apis/v1/apollo/contacts/bulk_create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "contacts": "<string>",
  "append_label_names": "<string>",
  "run_dedupe": true
}
'
import requests

url = "https://api.aisa.one/apis/v1/apollo/contacts/bulk_create"

payload = {
"contacts": "<string>",
"append_label_names": "<string>",
"run_dedupe": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({contacts: '<string>', append_label_names: '<string>', run_dedupe: true})
};

fetch('https://api.aisa.one/apis/v1/apollo/contacts/bulk_create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "created_contacts": "<string>",
  "created_contacts[].id": "<string>",
  "created_contacts[].first_name": "<string>",
  "created_contacts[].last_name": "<string>",
  "created_contacts[].organization_name": "<string>",
  "created_contacts[].title": "<string>",
  "created_contacts[].owner_id": "<string>",
  "created_contacts[].account_id": "<string>",
  "created_contacts[].email": "<string>",
  "created_contacts[].phone_numbers": "<string>",
  "created_contacts[].typed_custom_fields": {},
  "created_contacts[].updated_at": "<string>",
  "existing_contacts": "<string>",
  "existing_contacts[].id": "<string>",
  "existing_contacts[].first_name": "<string>",
  "existing_contacts[].last_name": "<string>",
  "existing_contacts[].organization_name": "<string>",
  "existing_contacts[].title": "<string>",
  "existing_contacts[].owner_id": "<string>",
  "existing_contacts[].account_id": "<string>",
  "existing_contacts[].email": "<string>",
  "existing_contacts[].phone_numbers": "<string>",
  "existing_contacts[].typed_custom_fields": {},
  "existing_contacts[].updated_at": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
contacts
string
required

Array of contacts to create

append_label_names
string

Label names to append to each created contact

run_dedupe
boolean

Enable deduplication. Default false.

Response

Successful response

created_contacts
string

Contacts created in this request

created_contacts[].id
string

Contact ID

created_contacts[].first_name
string

First name

created_contacts[].last_name
string

Last name

created_contacts[].organization_name
string

Organization name

created_contacts[].title
string

Title

created_contacts[].owner_id
string

Owner ID

created_contacts[].account_id
string

Account ID

created_contacts[].email
string

Email

created_contacts[].phone_numbers
string

Phone numbers

created_contacts[].typed_custom_fields
object

Typed custom fields object

created_contacts[].updated_at
string

Updated timestamp

existing_contacts
string

Contacts that already existed (dedupe matches)

existing_contacts[].id
string

Contact ID

existing_contacts[].first_name
string

First name

existing_contacts[].last_name
string

Last name

existing_contacts[].organization_name
string

Organization name

existing_contacts[].title
string

Title

existing_contacts[].owner_id
string

Owner ID

existing_contacts[].account_id
string

Account ID

existing_contacts[].email
string

Email

existing_contacts[].phone_numbers
string

Phone numbers

existing_contacts[].typed_custom_fields
object

Typed custom fields object

existing_contacts[].updated_at
string

Updated timestamp